/*
 * cf-solaris.h
 *
 * By Ross Ridge
 * Public Domain
 *
 * Sample configuration for Solaris 2.3 and 2.5.1.
 * 
 * @(#) MySC cf-solaris.h 1.2 98/04/12 20:01:52
 * 
 */

#ifndef __CONFIG_H__
#define __CONFIG_H__

#define CONFIG_FILE_NAME_GUESSING
#undef  CONFIG_TRADITIONAL_ARGS
#define CONFIG_ENABLE_MSGDB

#undef  CONFIG_NO_FORK
#undef  CONFIG_NO_PIPE
#undef  CONFIG_NO_SPAWN
#undef  CONFIG_NO_DIRECTORY
#undef  CONFIG_NO_MKTIME
#undef  CONFIG_NO_REMOVE
#undef  CONFIG_NO_RENAME
#undef  CONFIG_NO_STRERROR
#undef  CONFIG_NO_STRSTR
#undef  CONFIG_NO_TIMEZONE_VAR
#undef  CONFIG_NO_CATGETS
#undef  CONFIG_NO_GETTEXT
#undef  CONFIG_NO_GETTXT

#undef  CONFIG_DECLARE_ERRNO
#undef  CONFIG_DECLARE_STRERROR
#undef  CONFIG_DECLARE_MALLOC
#undef  CONFIG_DECLARE_STAT
#undef  CONFIG_DECLARE_GETPWUID
#undef  CONFIG_DECLARE_GETLOGIN
#undef  CONFIG_DECLARE_TIMEZONE
#undef  CONFIG_DECLARE_TZSET
#undef  CONFIG_DECLARE_FDOPEN

#undef  CONFIG_INCLUDE_SYS_TYPES_H
#define CONFIG_INCLUDE_FCNTL_H
#undef  CONFIG_INCLUDE_SYS_FILE_H
#define CONFIG_INCLUDE_UNISTD_H
#define CONFIG_INCLUDE_SYS_WAIT_H
#undef  CONFIG_INCLUDE_PROTOTYPES_H
#undef  CONFIG_INCLUDE_IO_H
#undef  CONFIG_INCLUDE_PROCESS_H

#undef  CONFIG_SAVED_SETUID
#undef  CONFIG_SETREUID

#define CONFIG_DIFF_COMMAND	"/usr/bin/diff"
#undef  CONFIG_DIFF_SWITCHES

#define CONFIG_COMPLETE_TEMPLATES

#define CONFIG_UIDS
#undef	CONFIG_BINARY_FILE
#undef  CONFIG_MSDOS_FILES
#undef  CONFIG_BORLANDC
#undef  CONFIG_DJGPP
#undef  CONFIG_NO_ABORT

#define CONFIG_LINEBUF_CHUNK_SIZE	1024

#endif /* __CONFIG_H__ */

/* Local variables: */
/* mode: c++ */
/* End: */

